import java.util.Scanner;

//2. UserInput
public class UserInput {
	
	// user input
	static Scanner scan = new Scanner(System.in);
	public static String getStringValue(String description)	{
		System.out.print(description);
		String line = scan.nextLine();
		return line;
	}
	
	static public int getIntegerValue(String description) {
		System.out.print(description);
		int value;
		while(true) {
			String line = scan.nextLine();
			try {
				value = Integer.parseInt(line);
				break;
			}
			catch (Exception e) {
				System.out.print("Error! Please enter [int value]: ");
			}
		}
		return value;
	}

	public static Person getPerson() {
		String name = getStringValue("Please enter [person name]: ");
		int age = getIntegerValue("Please enter [person age]: ");
		return new Person(name, age);
	}

	public static Person[] getPersons(int num) {
		Person[] personArray = new Person[num];
		for (int i=0; i<personArray.length; i++) {
			/*System.out.print("Please enter the name: ");
			String name = input.next();
			System.out.print("Please enter the age: ");
			int age = Integer.parseInt(input.nextLine());
			personArray[i] = new Person(name, age);*/
			personArray[i] = getPerson();
		}
		return personArray;
	}
	
	public static boolean getExitKey() {
		System.out.print("Press q-key to exit the program or enter-key to start the program: ");
		String s = scan.nextLine();
        if (s.contentEquals("q"))
            return true;
        else
        	return false;
	}
}
